import axios from '@/common/services/axios-instance'

class KpiIndicatorGroupService {
  // 获取字典值
  getDictValue(key) {
    return axios({
      url: 'api/xcoa-mobile/v1/iam-law/dictionary?key=' + key,
      method: 'get',
    })
  }

  // 判断编号重复
  hasGroupNo(id, indiNo) {
    return axios({
      url: 'api/xcoa-mobile/v1/kpiindigroup/hasGroupNo?id=' + id + '&groupNo=' + indiNo,
      method: 'get',
    }).then((res) => {
      return res.data
    })
  }
}

export default new KpiIndicatorGroupService()
